complexType "PositionReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 14 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, asOfDate?, dataSetName?, reportContents?, quotationCharacteristics?, submissionsComplete?, position*, party*, account*
</...>

Content Model Elements (14):

  account, asOfDate (in positionReport), correlationId, dataSetName (in positionReport), header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), position (in positionReport), quotationCharacteristics (in positionReport), reportContents (in positionReport), sequenceNumber (defined in Sequence.model group), submissionsComplete (in positionReport), validation

All Direct / Indirect Based Elements (1):

  positionReport

Known Usage Locations

- As direct type of elements (1):
  positionReport

Annotation
A type defining the content model for a message allowing one party to send a report consisting of positions.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) PositionReport

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="PositionReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="dataSetName" type="xsd:string"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="position" type="ReportedPosition"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/14)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this document reports positions and valuations.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

dataSetName

  Type: | xsd:string, predefined, simple content

  The name of the data set (portfolio, product type, etc.) that this report corresponds to. Used to help document the contents of the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataSetName" type="xsd:string"/>

position

  Type: | ReportedPosition, complex content

  The positions included in the position report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="position" type="ReportedPosition"/>

quotationCharacteristics

  Type: | QuotationCharacteristics, complex content

  The default quotation characteristics for this document (e.g. currency, location). Currency must be specified; other fields may be specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

submissionsComplete

  Type: | xsd:boolean, predefined, simple content

  Indicates whether all portfolio updates have been submitted for this as-of date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.